summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:24:26 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:24:26 +0200
commit787a12d13d890b1fb08a59a7d2d6a049d21acd8a (patch)
treed303482bee7083f54f21cc75573bea9a18af6e91 /development
parent25ac4feab6e81b4b406f6128a2d8903c771b80dd (diff)
downloadslackbuilds-787a12d13d890b1fb08a59a7d2d6a049d21acd8a.tar.gz
slackbuilds-787a12d13d890b1fb08a59a7d2d6a049d21acd8a.tar.xz
development/cssed: Updated for version 0.4.0
Diffstat (limited to 'development')
-rw-r--r--development/cssed/cssed.SlackBuild34
-rw-r--r--development/cssed/cssed.desktop2
-rw-r--r--development/cssed/cssed.info4
3 files changed, 24 insertions, 16 deletions
diff --git a/development/cssed/cssed.SlackBuild b/development/cssed/cssed.SlackBuild
index fc61a132e6..0c6c42c67b 100644
--- a/development/cssed/cssed.SlackBuild
+++ b/development/cssed/cssed.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for cssed
-# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
+# Copyright 2007-2009 Michiel van Wessem (http://michielvwessem.wordpress.com)
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,36 +22,41 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
-
-set -e
-
PRGNAM=cssed
-VERSION=0.4.0
+VERSION=${VERSION:-0.4.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCFILES="AUTHORS COPYING INSTALL README NEWS ChangeLog"
-
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
# We'll try to detect whether vte is installed and do the right thing
# You can always override it :)
@@ -65,6 +70,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -87,7 +93,7 @@ cat $CWD/cssed.desktop > $PKG/usr/share/applications/cssed.desktop
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README NEWS ChangeLog $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -95,4 +101,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/cssed/cssed.desktop b/development/cssed/cssed.desktop
index 556ba5435c..3f025b305e 100644
--- a/development/cssed/cssed.desktop
+++ b/development/cssed/cssed.desktop
@@ -6,4 +6,4 @@ Exec=cssed
Icon=/usr/share/cssed/pixmaps/cssed-icon.png
Terminal=false
Type=Application
-Categories=Application;Editor;
+Categories=GTK;;Application;Development;WebDevelopment;
diff --git a/development/cssed/cssed.info b/development/cssed/cssed.info
index fae1dea31d..137b64643c 100644
--- a/development/cssed/cssed.info
+++ b/development/cssed/cssed.info
@@ -1,8 +1,10 @@
PRGNAM="cssed"
VERSION="0.4.0"
HOMEPAGE="http://cssed.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/cssed/cssed-0.4.0.tar.gz"
+DOWNLOAD="http://dl.sourceforge.net/cssed/cssed-0.4.0.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="ff7c818d1f819b7d76b4f714be64e08e"
+MD5SUM_x86_64=""
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
APPROVED="rworkman"